# Journal entries operations
Source: https://www.desktopaccountingapi.com/docs/api/reference/operations/tags/journal-entries/

General journal entries with debit and credit lines.

- [List journal entries](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentrieslist.md): `GET /v1/quickbooks-desktop/journal-entries`
- [Create a journal entry](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentriescreate.md): `POST /v1/quickbooks-desktop/journal-entries`
- [Retrieve a journal entry](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentriesretrieve.md): `GET /v1/quickbooks-desktop/journal-entries/{id}`
- [Update a journal entry](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentriesupdate.md): `POST /v1/quickbooks-desktop/journal-entries/{id}`
- [Delete a journal entry](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentriesdelete.md): `DELETE /v1/quickbooks-desktop/journal-entries/{id}`
- [Void a journal entry](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdjournalentriesvoid.md): `POST /v1/quickbooks-desktop/journal-entries/{id}/void`
